Skip to main content
GET
/
orgs
/
{org_id}
/
auto-create
/
jobs
/
{job_id}
Get Auto Create Job
curl --request GET \
  --url https://api.example.com/orgs/{org_id}/auto-create/jobs/{job_id}
{
  "id": "<string>",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "nodes_created": 0,
  "nodes_updated": 0,
  "node_ids": [
    "<string>"
  ],
  "error": "<string>",
  "error_step": "<string>",
  "repo_url": "<string>",
  "branch": "<string>",
  "file_paths": [
    "<string>"
  ],
  "source_hash": "<string>",
  "skipped": false
}

Headers

authorization
string | null

Path Parameters

org_id
string<uuid>
required
job_id
string<uuid>
required

Response

Successful Response

Response for auto-create job status.

id
string
required

Job ID

status
string
required

Job status: pending, fetching, reasoning, creating, completed, failed

created_at
string<date-time>
required

Job creation timestamp

nodes_created
integer
default:0

Number of nodes created

nodes_updated
integer
default:0

Number of nodes updated

node_ids
string[] | null

IDs of created nodes

error
string | null

Error message if failed

error_step
string | null

Pipeline step that failed

repo_url
string | null

GitHub repository URL

branch
string | null

Git branch

file_paths
string[] | null

IaC file paths

source_hash
string | null

SHA-256 of sorted source file SHAs

skipped
boolean
default:false

True if job was skipped (no source changes detected)